<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title>prueba</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <script
      src="https://code.jquery.com/jquery-3.4.1.min.js"
      integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
      crossorigin="anonymous"
    ></script>
  </head>
  <body>
    <input type="text" id="txtEmail" />
    <button onclick="buscarEnApi()">Buscar en Api</button>
    <script>
      function buscarEnApi() {
        debugger;
        var email = $("#txtEmail").val();
        $.ajax({
          url: "http://localhost:3000/api/usuario/" + email //,
          //context: document.body
        })
          .done(function(data) {
            if(data.ok && data.usuario)
              alert("datos de la api:" + JSON.stringify(data));
            else
              alert("funciono el llamado a la api pero no trajo ningun usuario");
          })
          .fail(function(error) {
            alert("ocurrio un error llamando la api, ver consola");
            console.log(error);
          })
          .always(function() {
            alert("completo el llamado");
          });
      }
    </script>
  </body>
</html>
